Bug 280101 - PATCH: Add option to hide icons and text in preview
Summary: PATCH: Add option to hide icons and text in preview
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Preview-Image (show other bugs)
Version: 2.1.0
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-15 02:09 UTC by Bruno Randolf
Modified: 2012-06-27 10:19 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.1.0


Attachments
Patch implementing the described functionality (9.31 KB, patch)
2011-08-15 02:09 UTC, Bruno Randolf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Randolf 2011-08-15 02:09:44 UTC
Created attachment 62830 [details]
Patch implementing the described functionality

Version:           2.1.0 (using KDE 4.6.2) 
OS:                Linux

I like to review my photos without disturbing elements in my photos. Therefore I have added an option "Show icons in preview" to disable the icons (toolbar) and text ("Reduced Size Preview", ...) in the preview.

Patch attached.

Reproducible: Always

Steps to Reproduce:
apply the patch


Expected Results:  
added an option "Show icons in preview" to disable the icons (toolbar) and text ("Reduced Size Preview", ...) in the preview.
Comment 1 caulier.gilles 2011-08-22 07:20:17 UTC
Thanks for the patch. I review it today

Gilles Caulier
Comment 2 caulier.gilles 2011-08-22 07:34:08 UTC
Git commit 566f7226d3f6588f05d3a93cc7f62c7d69f61996 by Gilles Caulier.
Committed on 22/08/2011 at 09:32.
Pushed by cgilles into branch 'master'.

apply patch #62830 to add option to show/hide icons and text over preview
BUGS: 280101

M  +3    -0    digikam/utils/albumsettings.h
M  +2    -0    libs/widgets/graphicsview/graphicsdimgview.h
M  +9    -1    utilities/setup/setupalbumview.cpp
M  +3    -0    digikam/views/imagepreviewview.cpp
M  +8    -1    libs/widgets/graphicsview/graphicsdimgview.cpp
M  +17   -0    digikam/utils/albumsettings.cpp

http://commits.kde.org/digikam/566f7226d3f6588f05d3a93cc7f62c7d69f61996